all: data_interpretation_demo segfault_demo linking_demo

data_interpretation_demo: data_interpretation_demo.o

data_interpretation_demo.o: data_interpretation_demo.c

linking_demo: linking_demo.o
	gcc -o $@ $< -lm

linking_demo.o: linking_demo.c
	gcc -fno-builtin -c -o $@ $<
